/**
 * 
 */
package com.cloudwords.api.client.resources;

import java.math.BigDecimal;
import java.util.Map;

/**
 * Represents the cost of a {@link Vendor} {@link ProjectTaskType} for a given Cloudwords
 * {@link Project}.
 *
 * @author jonathansu
 * @since 1.7
 */
public class BidItemTask extends BaseResource {

    private ProjectTaskType projectTaskType;
    private BigDecimal cost;
    private Integer id;
    private Map<String, Object> attributes;
    
    /**
     * Get the {@link Vendor} {@link ProjectTaskType} for this {@link BidItemTask}
     * @return The {@link Vendor} {@link ProjectTaskType} for this {@link BidItemTask}
     */
    public ProjectTaskType getProjectTaskType() {
        return projectTaskType;
    }
    
    /**
     * Set the {@link Vendor} {@link ProjectTaskType} for this {@link BidItemTask}
     * @param projectTaskType The {@link Vendor} {@link ProjectTaskType} for this {@link BidItemTask}
     */
    public void setProjectTaskType(ProjectTaskType projectTaskType) {
        this.projectTaskType = projectTaskType;
    }
    
    /**
     * Get the cost for this {@link BidItemTask}
     * @return The cost for this {@link BidItemTask}
     */
    public BigDecimal getCost() {
        return cost;
    }
    
    /**
     * Set the cost for this {@link BidItemTask}
     * @param cost The cost for this {@link BidItemTask}
     */
    public void setCost(BigDecimal cost) {
        this.cost = cost;
    }
    
    /**
     * Get the unique ID for this {@link BidItemTask}
     * @return The unique ID for this {@link BidItemTask}
     */
    public Integer getId() {
        return id;
    }
    
    /**
     * Set the unique ID for this {@link BidItemTask}
     * @param id The unique ID for this {@link BidItemTask}
     */
    public void setId(Integer id) {
        this.id = id;
    }
    
    /**
     * Get the map of attributes specific to this {@link BidItemTask}'s 
     * {@link ProjectTaskType}, such as the number of words to be
     * translated 
     * @return The map of attributes specific to this {@link BidItemTask}'s 
     * {@link ProjectTaskType}
     */
    public Map<String, Object> getAttributes() {
        return attributes;
    }
    
    /**
     * Set the map of attributes specific to this {@link BidItemTask}'s 
     * {@link ProjectTaskType}, such as the number of words to be
     * translated
     * @param attributes The map of attributes specific to this {@link BidItemTask}'s 
     * {@link ProjectTaskType}
     */
    public void setAttributes(Map<String, Object> attributes) {
        this.attributes = attributes;
    }
    
}
