package com.cloudwords.api.client.resources;

import java.math.BigDecimal;
import java.util.List;

/**
 * Represents a {@link ChangeOrderBid} bid provided for a given Cloudwords {@link ChangeOrder} in context of a
 * {@link Project}.
 * 
 * @author cchandr
 * @since 1.12.1
 */
public class ChangeOrderBid extends BaseResource {

    private Integer id;
    
    private String description;
    
    private BigDecimal amount;
    
    private List<BidItem> bidItems;

    /**
     * Get the Cloudwords {@link ChangeOrderBid} id.
     * @return Returns the id.
     */
    public Integer getId() {
        return id;
    }

    /**
     * Sets the Cloudwords {@link ChangeOrderBid} id.
     * @param id The id to set.
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * Get the Cloudwords {@link ChangeOrderBid} description.
     * @return Returns the description.
     */
    public String getDescription() {
        return description;
    }

    /**
     * Set the Cloudwords {@link ChangeOrderBid} description.
     * @param description The description to set.
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * Get the Cloudwords {@link ChangeOrderBid} amount.
     * @return Returns the amount.
     */
    public BigDecimal getAmount() {
        return amount;
    }

    /**
     * Set the Cloudwords {@link ChangeOrderBid} amount.
     * @param amount The amount to set.
     */
    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    /**
     * Get the Cloudwords {@link ChangeOrderBid} bidItem list.
     * @return Returns the bidItems.
     */
    public List<BidItem> getBidItems() {
        return bidItems;
    }

    /**
     * Set the Cloudwords {@link ChangeOrderBid} bid item list.
     * @param bidItems The bidItems to set.
     */
    public void setBidItems(List<BidItem> bidItems) {
        this.bidItems = bidItems;
    }
}
