package com.cloudwords.api.client.resources;

/**
 * Wraps a {@link ChangeOrder} resource with additional data specific/viewable to translation Customers. 
 * @author cchandr
 * @since 1.12.1
 */
public class CustomerChangeOrder extends ChangeOrder {

    private boolean autoAccept;

    /**
     * Get the Cloudwords {@link CustomerChangeOrder} autoAccept flag value.
     * @return Returns the autoAccept.
     */
    public boolean isAutoAccept() {
        return autoAccept;
    }

    /**
     * Set the Cloudwords {@link CustomerChangeOrder} autoAccept flag value.
     * @param autoAccept The autoAccept to set.
     */
    public void setAutoAccept(boolean autoAccept) {
        this.autoAccept = autoAccept;
    }
}
