/*
 * Copyright 2012, Cloudwords, Inc. Licensed under the API LICENSE AGREEMENT, Version 1.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of the License at
 * http://www.cloudwords.com/developers/license-1.0 Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language governing permissions and limitations under the
 * License.
 */
package com.cloudwords.api.client.resources;

import java.util.List;

/**
 * Wraps a {@link Task} resource with additional data specific/viewable to translation Customers. 
 * 
 * @author mpermana
 * @since 1.5
 */
public class CustomerTask extends Task {

    private User creatorUser;
    private List<UserOrVendor> followers;

    
    public User getCreatorUser() {
        return creatorUser;
    }

    public void setCreatorUser(User creatorUser) {
        this.creatorUser = creatorUser;
    }

    public List<UserOrVendor> getFollowers() {
        return followers;
    }

    public void setFollowers(List<UserOrVendor> followers) {
        this.followers = followers;
    }

}
