/*
 * Copyright 2014, Cloudwords, Inc. Licensed under the API LICENSE AGREEMENT, Version 1.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of the License at
 * http://www.cloudwords.com/developers/license-1.0 Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language governing permissions and limitations under the
 * License.
 */
package com.cloudwords.api.client.resources;

import java.util.List;


/**
 * A single step of a workflow, which acts as a container for phases
 * 
 * @author amadigan
 * @since 1.12.2
 */
public class ProjectWorkflowStep extends ProjectWorkflowStepSummary {
    private List<ProjectWorkflowPhase> phases;

    public List<ProjectWorkflowPhase> getPhases() {
        return phases;
    }

    public void setPhases(List<ProjectWorkflowPhase> phases) {
        this.phases = phases;
    }

    @Override
    public String toString() {
        return "ProjectWorkflowStep [phases=" + phases + ", getStepNumber()=" + getStepNumber() + ", getName()=" + getName() + "]";
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = super.hashCode();
        result = prime * result + ((phases == null) ? 0 : phases.hashCode());
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (!super.equals(obj))
            return false;
        if (getClass() != obj.getClass())
            return false;
        ProjectWorkflowStep other = (ProjectWorkflowStep) obj;
        if (phases == null) {
            if (other.phases != null)
                return false;
        } else if (!phases.equals(other.phases))
            return false;
        return true;
    }
    
    
}
