/*
 * Copyright 2014, Cloudwords, Inc. Licensed under the API LICENSE AGREEMENT, Version 1.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of the License at
 * http://www.cloudwords.com/developers/license-1.0 Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language governing permissions and limitations under the
 * License.
 */
package com.cloudwords.api.client.resources;

/**
 * Represents a {@link ReviewerInstructions} resource in Cloudwords. The {@link ReviewerInstructions} are created for a
 * project and target language. These are instructions that reviewers will be presented with in order to complete the
 * associated review task for a specific project and target language.
 * 
 * @author jasonbuchanan
 * @since 1.11.1
 */
public class ReviewerInstructions extends BaseResource {

    private Integer id;
    private String content;

    /**
     * Get the {@link ReviewerInstructions} id.
     * 
     * @return The id of this {@link ReviewerInstructions}
     */
    public Integer getId() {
        return id;
    }

    /**
     * Set the {@link ReviewerInstructions} id.
     * 
     * @param id
     *            of this {@link ReviewerInstructions}
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * Get the {@link ReviewerInstructions} instructions.
     * 
     * @return The content of this {@link ReviewerInstructions}
     */
    public String getContent() {
        return content;
    }

    /**
     * Set the {@link ReviewerInstructions} content.
     * 
     * @param content
     *            of this {@link ReviewerInstructions}
     */
    public void setContent(String content) {
        this.content = content;
    }
}
