/*
 * Copyright 2012, Cloudwords, Inc.
 *
 * Licensed under the API LICENSE AGREEMENT, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.cloudwords.com/developers/license-1.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.cloudwords.api.client.resources;

/**
 * Represents a vendor specific variant of a {@link Project} resource in Cloudwords that additionally contains
 * the project {@link Customer} information.
 * 
 * @author jonathansu
 * @since 1.4
 */
public class VendorProject extends Project {

    private Customer customer;

    public Customer getCustomer() {
        return customer;
    }

    public void setCustomer(Customer customer) {
        this.customer = customer;
    }
 
    // vendor doesn't see the owner
    @Override
    public User getOwner() {
        return null;
    }

    // vendor doesn't see the owner
    @Override
    public void setOwner(User owner) {
        
    }

}
